# Uses of Enum Class
org.apache.sling.jackrabbit.usermanager.AuthorizablePrivilegesInfo.PropertyUpdateTypes

Packages that use AuthorizablePrivilegesInfo.PropertyUpdateTypes
Package
Description
org.apache.sling.jackrabbit.usermanager

## Uses of AuthorizablePrivilegesInfo.PropertyUpdateTypes in org.apache.sling.jackrabbit.usermanager

Methods in org.apache.sling.jackrabbit.usermanager that return AuthorizablePrivilegesInfo.PropertyUpdateTypes
Modifier and Type
Method
Description
`static AuthorizablePrivilegesInfo.PropertyUpdateTypes`
AuthorizablePrivilegesInfo.PropertyUpdateTypes.`convertDeprecated(AuthorizablePrivilegesInfo.PropertyUpdateTypes updateType)`
If the supplied item is one of the deprecated ones, then return the equivalent item that replaced it.
`static AuthorizablePrivilegesInfo.PropertyUpdateTypes`
AuthorizablePrivilegesInfo.PropertyUpdateTypes.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthorizablePrivilegesInfo.PropertyUpdateTypes[]`
AuthorizablePrivilegesInfo.PropertyUpdateTypes.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sling.jackrabbit.usermanager with parameters of type AuthorizablePrivilegesInfo.PropertyUpdateTypes
Modifier and Type
Method
Description
`default boolean`
AuthorizablePrivilegesInfo.`canUpdateProperties(javax.jcr.Session jcrSession, String principalId, AuthorizablePrivilegesInfo.PropertyUpdateTypes... propertyUpdateTypes)`
Checks whether the current user has been granted privileges to update the properties of the specified user or group.
`static AuthorizablePrivilegesInfo.PropertyUpdateTypes`
AuthorizablePrivilegesInfo.PropertyUpdateTypes.`convertDeprecated(AuthorizablePrivilegesInfo.PropertyUpdateTypes updateType)`
If the supplied item is one of the deprecated ones, then return the equivalent item that replaced it.